Bug 17211 - Remove use of onclick from OPAC fines page
Summary: Remove use of onclick from OPAC fines page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-29 06:33 UTC by Aleisha Amohia
Modified: 2017-06-14 22:16 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17211: Remove use of onclick from OPAC fines page (2.66 KB, patch)
2016-08-29 06:35 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17211: Remove use of onclick from OPAC fines page (2.76 KB, patch)
2016-08-29 13:11 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17211: Remove use of onclick from OPAC fines page (2.78 KB, patch)
2016-09-07 10:28 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-08-29 06:33:06 UTC

    
Comment 1 Aleisha Amohia 2016-08-29 06:35:48 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-08-29 13:11:23 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-09-07 10:28:29 UTC
Created attachment 55282 [details] [review]
Bug 17211: Remove use of onclick from OPAC fines page

To test:
1) Set the EnablePayPalOpacPayments syspref to Allow and the
PayPalSandboxMode to the appropriate mode
2) Go to OPAC fines
3) Confirm clicking the PayPal image link works the same before and
after the patch (opens pop up window)

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-09-09 15:07:41 UTC
Pushed to master for 16.11, thanks Aleisha!